<div class="container-fluid">
  <user-header [environment]="environment"></user-header>
  <div class="row">
    <div style="background-color:#314991; color:white; width:100%; text-align:center; padding:5px;"
         *ngIf="!serverErrorMsg">
      Last updated on {{LastUpdateDateAndTime}}
    </div>
    <div style="background-color:#314991; color:white; width:100%; text-align:center; padding:5px;"
         *ngIf="serverErrorMsg">
      Not connected to server.
    </div>
  </div>
  <div class="row" *ngIf="!serverErrorMsg">
    <span style="width: 100%; text-align: center">Click on a tile to view additional details for that tile</span>
  </div>
</div>

<div class="container">
  <div class="alert alert-danger mt-3" *ngIf="serverErrorMsg">
     Unable to connect to the server. Please check your internet connection, and try refreshing the page. If the problem continues, please try after some time. Sorry for the inconvenience.
  </div>
  <div *ngIf="!serverErrorMsg">
    <div class="row ml-1 mt-2">
      <h6 class="mb-0">Services</h6>
    </div>
    <div class="row">
      <div class="col-xs-12 col-sm-6 col-md-3 col-lg-2 mv-15 text-center flex-nowrap " (click)="open(servicesDetails)"
        #id *ngFor="let servicesDetails of servicesDetails.services">
        <div class="card cardCustomStyle">

          <div class="card-title">
            <img src="../../assets/Images/{{servicesDetails.applicationName}}.png" />
          </div>
          <div class="card-body front" id="{{servicesDetails.applicationName}}">
            <!-- <div style="margin:-10px -20px 15px;">
              <img *ngFor="let countryFlag of showCountryFlag(servicesDetails.applicationName)" style="width:25px; height:15px; float:right; margin-left:5px;"
              src="../../assets/Images/flags/{{countryFlag}}.png" title="{{countryFlag}}" />
            </div> -->
            <div class="app-status">
              <img style="height:4.2rem;" src="../../assets/Images/status{{servicesDetails.status}}.svg" />
              <!-- <a href="#" style="font-size: 0.8em;">click to view more</a> -->
              <!-- http://www.clker.com/cliparts/M/E/l/5/Q/K/rotate-ccw-icon-md.png -->
            </div>
            <div class="valid-countries">
              <span class="country" *ngFor="let country of servicesDetails.validFor">{{country}}</span>
            </div>
            <div class="commentText mt-0" *ngIf="servicesDetails.scheduledMaintenanceInfo && servicesDetails.scheduledMaintenanceInfo.length > 0">
              <img class="InfoIcon" src="../../assets/Images/icons/schedule.png" />
            </div>
          </div>
          <div class="card-body back" id="back{{servicesDetails.applicationName}}" style="display:none;">
            <p class="commentText backCardCanMsg">{{servicesDetails.comment}}</p>
            <hr class="m-1" *ngIf="servicesDetails.comment">
            <p class="commentText backCardCanMsg" *ngFor="let canMessage of servicesDetails.cannedMessages">{{canMessage.message}}</p>
            <hr class="m-1" *ngIf="servicesDetails.maintenanceInfo">
            <p class="commentText backCardMantainMsg" *ngIf="servicesDetails.maintenanceInfo">{{servicesDetails.maintenanceInfo}}</p>
          </div>
        </div>
      </div>
      <!-- coming soon -->
      <!--<div class="col-xs-12 col-sm-6 col-md-3 col-lg-2 mv-15 text-center flex-nowrap" (click)="open()" #id>
        <div class="card cardCustomStyle unavailable-card">
          <div class="card-body">
            <div class="col-12">
              <p style="font-size: 0.9em; font-weight: 450;">Wireless Network</p>
            </div>
            <div class="col-12">
              <p style="height:5.2rem;">Under construction</p>
              <div class="commentText mt-0" *ngIf="servicesDetails.scheduledMaintenanceInfo && servicesDetails.scheduledMaintenanceInfo.length > 0">
                <img class="InfoIcon" src="../../assets/Images/icons/schedule.png" />
              </div>
            </div>
          </div>
        </div>
      </div> -->
      <!-- end coming soon -->
    </div>
    <div class="row ml-1 mt-2">
      <h6 class="mb-0">Applications</h6>
    </div>
    <div class="row">
      <div class="col-xs-12 col-sm-6 col-md-3 col-lg-2 mv-15 text-center flex-nowrap" (click)="open(servicesDetails)"
        #id *ngFor="let servicesDetails of servicesDetails.apps">
        <div class="card cardCustomStyle">

          <div class="card-title">
            <img src="../../assets/Images/{{servicesDetails.applicationName}}.png" />
          </div>
          <div class="card-body front" id="{{servicesDetails.applicationName}}">
            <!-- <div style="margin:-10px -20px 15px;">
              <img *ngFor="let countryFlag of showCountryFlag(servicesDetails.applicationName)" style="width:25px; height:15px; float:right; margin-left:5px;"
                src="../../assets/Images/flags/{{countryFlag}}.png" title="{{countryFlag }}" />
            </div> -->
            <div class="app-status">
              <img style="height:4.2rem;" src="../../assets/Images/status{{servicesDetails.status}}.svg" />
              <!-- <p class="commentText">{{call(servicesDetails.allComments)}}</p> -->
              <!-- <a href="#" style="font-size: 0.8em;">click to view more</a> -->
              <!-- http://www.clker.com/cliparts/M/E/l/5/Q/K/rotate-ccw-icon-md.png -->
            </div>
            <div class="valid-countries">
              <span class="country" *ngFor="let country of servicesDetails.validFor">{{country}}</span>
            </div>
            <div class="commentText mt-0" *ngIf="servicesDetails.scheduledMaintenanceInfo && servicesDetails.scheduledMaintenanceInfo.length > 0">
              <img class="InfoIcon" src="../../assets/Images/icons/schedule.png" />
            </div>
            <!-- <div class="commentText mt-0" *ngIf="servicesDetails.scheduledMaintenanceInfo && servicesDetails.scheduledMaintenanceInfo.length > 0">
              <img class="InfoIcon releaseIcon" src="../../assets/Images/icons/release.png" />
            </div> -->
          </div>
          <div class="card-body back" id="back{{servicesDetails.applicationName}}" style="display:none;">
            <p class="commentText backCardCanMsg">{{servicesDetails.comment}}</p>
            <hr class="m-1" *ngIf="servicesDetails.comment">
            <p class="commentText backCardCanMsg" *ngFor="let canMessage of servicesDetails.cannedMessages">{{canMessage.message}}</p>
            <hr class="m-1" *ngIf="servicesDetails.maintenanceInfo">
            <p class="commentText backCardMantainMsg" *ngIf="servicesDetails.maintenanceInfo">{{servicesDetails.maintenanceInfo}}</p>
          </div>
        </div>
      </div>
      <!-- coming soon -->
      <!-- <div class="col-xs-12 col-sm-6 col-md-3 col-lg-2 mv-15 text-center flex-nowrap" (click)="flip(servicesDetails.applicationName)" #id>
        <div class="card cardCustomStyle">
          <div class="card-body">
            <div class="col-12">
              <p style="font-size: 1em; font-weight: 450;">In Car WiFi</p>
            </div>
            <div class="col-12">
              <p style="height:5.2rem;">Coming soon</p>
              <p class="commentText mt-0" *ngIf="servicesDetails.maintainenceInfo">Upcomming maintenance
                <img class="InfoIcon" src="../../assets/Images/infoIcon.png" />
              </p>
            </div>
          </div>
        </div>
      </div> -->
      <!-- end coming soon -->
    </div>

    <div class="row ml-1 mt-2">
      <h6 class="mb-0">Websites</h6>
    </div>
    <div class="row">
      <div class="col-xs-12 col-sm-6 col-md-3 col-lg-2 mv-15 text-center flex-nowrap" (click)="open(servicesDetails)"
        #id *ngFor="let servicesDetails of servicesDetails.websites">
        <div class="card cardCustomStyle">
          <div class="card-title">
            <img src="../../assets/Images/{{servicesDetails.applicationName}}.png" />
          </div>
          <div class="card-body front" id="{{servicesDetails.applicationName}}">
            <!-- <div style="margin:-10px -20px 15px;">
              <img *ngFor="let countryFlag of showCountryFlag(servicesDetails.applicationName)" style="width:25px; height:15px; float:right; margin-left:5px;"
                src="../../assets/Images/flags/{{countryFlag}}.png" title="{{countryFlag}}" />
            </div> -->
            <div class="app-status">
              <img style="height:4.2rem;" src="../../assets/Images/status{{servicesDetails.status}}.svg" />
              <!-- <p class="commentText">{{call(servicesDetails.allComments)}}</p> -->
              <!-- <a href="#" style="font-size: 0.8em;">click to view more</a> -->
              <!-- http://www.clker.com/cliparts/M/E/l/5/Q/K/rotate-ccw-icon-md.png -->
            </div>
            <div class="valid-countries">
              <span class="country" *ngFor="let country of servicesDetails.validFor">{{country}}</span>
            </div>
            <div class="commentText mt-0" *ngIf="servicesDetails.scheduledMaintenanceInfo && servicesDetails.scheduledMaintenanceInfo.length > 0">
              <img class="InfoIcon" src="../../assets/Images/icons/schedule.png" />
            </div>
          </div>
          <div class="card-body back" id="back{{servicesDetails.applicationName}}" style="display:none;">
            <!-- <p class="commentText backCardCanMsg">{{servicesDetails.comment}}</p>
            <hr class="m-1" *ngIf="servicesDetails.comment">
            <p class="commentText backCardCanMsg" *ngFor="let canMessage of servicesDetails.cannedMessages">{{canMessage.message}}</p>
            <hr class="m-1" *ngIf="servicesDetails.maintenanceInfo"> -->
            <p class="commentText backCardMantainMsg" *ngIf="servicesDetails.maintenanceInfo">{{servicesDetails.maintenanceInfo}}</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>